## javanet.staxutils.events
Interface ExtendedXMLEvent

All Superinterfaces:
  XMLEvent, XMLStreamConstants

All Known Implementing Classes:
  AbstractCharactersEvent, AbstractXMLEvent, AttributeEvent, CDataEvent, CharactersEvent, CommentEvent, DTDEvent, EndDocumentEvent, EndElementEvent, EntityDeclarationEvent, EntityReferenceEvent, IgnorableSpaceEvent, NamespaceEvent, NotationDeclarationEvent, ProcessingInstructionEvent, StartDocumentEvent, StartElementEvent

    public interface ExtendedXMLEvent

extends XMLEvent

Extended `XMLEvent` interface that provides additional functionality.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`boolean` `matches(XMLEvent event)` Determines if this event matches another event, irrespective of document location.
`void` `writeEvent(XMLStreamWriter writer)` Writes the event to the provided `XMLStreamWriter`.

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### matches

    boolean matches(XMLEvent event)

  Determines if this event matches another event, irrespective of document location.

  Parameters:
    `event` - The event to match against.
  Returns:
    `true` if the two events match, `false` otherwise.

### writeEvent

    void writeEvent(XMLStreamWriter writer)
                    throws XMLStreamException

  Writes the event to the provided `XMLStreamWriter`.

  Parameters:
    `writer` - The destination stream.
  Throws:
    `XMLStreamException` - If an error occurs writing to the destination stream.